﻿local WhoPinged = WhoPinged;
local L = LibStub("AceLocale-3.0"):GetLocale("WhoPinged");

WhoPinged.options = {
	name = L["Who Pinged?"],
	type = 'group',
	args = {
		--settings = {
			--type = "group",
			--name = L["Who Pinged? Settings"],
			--desc = L["Various settings for Who Pinged?."],
			--order = 10,
			--args = {
				Disabled = {
					type = "toggle",
					name = L["Disable Who Pinged?"],
					desc = L["Disables Who Pinged?."],
					width = "full",
					get = function(info) return WhoPinged.db.profile.Disabled; end,
					set = function(info, v) WhoPinged.db.profile.Disabled = v; end,
					order = 10
				},
				ServerTime = {
					type = "toggle",
					name = L["Display Server Time"],
					desc = L["Displays Server Time when a player pings (if unchecked it'll display local time)."],
					width = "full",
					get = function(info) return WhoPinged.db.profile.ServerTime; end,
					set = function(info, v) WhoPinged.db.profile.ServerTime = v; end,
					order = 30
				},
				DisableInBG = {
					type = "toggle",
					name = L["Disable Who Pinged? in Battlegrounds"],
					desc = L["Disables Who Pinged? while you are in a battleground."],
					width = "full",
					get = function(info) return WhoPinged.db.profile.DisableInBG; end,
					set = function(info, v) WhoPinged.db.profile.DisableInBG = v; end,
					order = 20
				},
			--}
		--}
	}
}
		

